package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 启动页实体
 * 表名 tb_cf_home_page
 *
 * @author lipengjun
 * @date 2019-09-16 18:21:16
 */
public class TbCfHomePageEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 启动页id
     */
    private String pageId;
    /**
     * 图片名称
     */
    private String imgName;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 图片链接
     */
    private String linkUrl;
    /**
     * 跳转链接
     */
    private String imgUrl;
    /**
     * 是否支持浏览,1支持，0不支持
     */
    private Integer scanFlag;
    /**
     * 是否跳转
     */
    private Integer redirectFlag;
    /**
     * 是否可用
     */
    private Integer enableFlag;

    /**
     * 设置：启动页id
     */
    public void setPageId(String pageId) {
        this.pageId = pageId;
    }

    /**
     * 获取：启动页id
     */
    public String getPageId() {
        return pageId;
    }
    /**
     * 设置：图片名称
     */
    public void setImgName(String imgName) {
        this.imgName = imgName;
    }

    /**
     * 获取：图片名称
     */
    public String getImgName() {
        return imgName;
    }
    /**
     * 设置：排序
     */
    public void setSort(Integer sort) {
        this.sort = sort;
    }

    /**
     * 获取：排序
     */
    public Integer getSort() {
        return sort;
    }
    /**
     * 设置：图片链接
     */
    public void setLinkUrl(String linkUrl) {
        this.linkUrl = linkUrl;
    }

    /**
     * 获取：图片链接
     */
    public String getLinkUrl() {
        return linkUrl;
    }
    /**
     * 设置：跳转链接
     */
    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    /**
     * 获取：跳转链接
     */
    public String getImgUrl() {
        return imgUrl;
    }
    /**
     * 设置：是否支持浏览
     */
    public void setScanFlag(Integer scanFlag) {
        this.scanFlag = scanFlag;
    }

    /**
     * 获取：是否支持浏览
     */
    public Integer getScanFlag() {
        return scanFlag;
    }
    /**
     * 设置：是否跳转
     */
    public void setRedirectFlag(Integer redirectFlag) {
        this.redirectFlag = redirectFlag;
    }

    /**
     * 获取：是否跳转
     */
    public Integer getRedirectFlag() {
        return redirectFlag;
    }
    /**
     * 设置：是否可用
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：是否可用
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
}
